# Generated by Django 4.2.6 on 2023-10-30 16:59

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("posts", "0022_remove_post_community_remove_post_post_group_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="postvote",
            name="value",
            field=models.SmallIntegerField(
                choices=[(1, "Upvote"), (-1, "Downvote")], db_index=True
            ),
        ),
        migrations.AddIndex(
            model_name="post",
            index=models.Index(
                fields=["published_at", "status"], name="posts_post_publish_cf3bb3_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="postvote",
            index=models.Index(
                fields=["post", "user", "value"], name="posts_postv_post_id_aa45ea_idx"
            ),
        ),
    ]
